%define upstream_name    Dist-Zilla-Plugin-Git
%define upstream_version 2.014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Commit dist.ini and changelog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MOP)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir) >= 4.200.16
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::chdir)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Git::Wrapper) >= 0.21.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class) >= 0.220.0
BuildRequires: perl(Path::Class::Dir)
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Version::Next)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.800.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This set of plugins for the Dist::Zilla manpage can do interesting
things for module authors using git to track their work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
if [[ -z $( git config --global user.name ) ]]
then
    git config --global user.email "you@example.com"
    git config --global user.name "Your Name"
fi
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.14.0-2.mga4
+ Revision: 528708
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 2.14.0-1.mga4
+ Revision: 446932
- update to 2.014

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 366164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.6.0-1.mga3
+ Revision: 342092
- update to 2.006

* Wed Nov 14 2012 jquelin <jquelin> 2.2.0-1.mga3
+ Revision: 317631
- update to 2.002

* Mon Oct 15 2012 jquelin <jquelin> 2.1.0-1.mga3
+ Revision: 306098
- update to 2.001

* Wed Oct 03 2012 jquelin <jquelin> 1.122.770-1.mga3
+ Revision: 302410
- update to 1.122770

* Mon Sep 10 2012 jquelin <jquelin> 1.122.530-1.mga3
+ Revision: 291671
- update to 1.122530

* Wed Jul 04 2012 jquelin <jquelin> 1.121.820-1.mga3
+ Revision: 267331
- update to 1.121820

* Tue Jun 05 2012 jquelin <jquelin> 1.121.10-1.mga3
+ Revision: 254884
- update to 1.121010

* Mon Mar 05 2012 jquelin <jquelin> 1.120.370-1.mga2
+ Revision: 218730
- update to 1.120370

* Wed Jan 04 2012 jquelin <jquelin> 1.113.560-1.mga2
+ Revision: 190301
- update to 1.113560

* Mon Dec 12 2011 jquelin <jquelin> 1.113.220-1.mga2
+ Revision: 180875
- update to 1.113220

* Mon Sep 26 2011 jquelin <jquelin> 1.112.510-1.mga2
+ Revision: 148071
- update to 1.112510
- update to 1.112380
- update to 1.112070
- update to 1.112060

* Wed Jun 15 2011 jquelin <jquelin> 1.111.590-1.mga2
+ Revision: 106855
- update to 1.111590
- do not override global git config unless needed

* Thu Feb 24 2011 jquelin <jquelin> 1.110.500-1.mga1
+ Revision: 58899
- update to 1.110500

* Wed Jan 26 2011 jquelin <jquelin> 1.102.810-1.mga1
+ Revision: 40677
- adding git config to make test pass
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Git

